#ifndef ATL_ctGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,240,320,720,1040,1440,2960
 * N : 25,160,240,320,720,1040,1440,2960
 * NB : 4,20,20,36,28,20,80,80
 */
#define ATL_ctGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 4; \
   else if ((n_) < 280) (nb_) = 20; \
   else if ((n_) < 520) (nb_) = 36; \
   else if ((n_) < 880) (nb_) = 28; \
   else if ((n_) < 1240) (nb_) = 20; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_ctGetNB_geqrf */
