#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,144,192,240,288,336,720,1488,1824,2208,2976
 * N : 25,144,192,240,288,336,720,1488,1824,2208,2976
 * NB : 5,8,12,12,48,48,48,48,48,96,144
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 84) (nb_) = 5; \
   else if ((n_) < 168) (nb_) = 8; \
   else if ((n_) < 264) (nb_) = 12; \
   else if ((n_) < 2016) (nb_) = 48; \
   else if ((n_) < 2592) (nb_) = 96; \
   else (nb_) = 144; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
