#ifndef ATL_stGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,560,800,960,1040,1120,2320,3520,4720
 * N : 25,240,560,800,960,1040,1120,2320,3520,4720
 * NB : 4,32,48,80,48,48,120,120,80,160
 */
#define ATL_stGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 4; \
   else if ((n_) < 400) (nb_) = 32; \
   else if ((n_) < 680) (nb_) = 48; \
   else if ((n_) < 880) (nb_) = 80; \
   else if ((n_) < 1080) (nb_) = 48; \
   else if ((n_) < 2920) (nb_) = 120; \
   else if ((n_) < 4120) (nb_) = 80; \
   else (nb_) = 160; \
}


#endif    /* end ifndef ATL_stGetNB_geqrf */
