#ifndef ATL_zGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,96,192,432,672,912,1392,1632,1872
 * N : 25,96,192,432,672,912,1392,1632,1872
 * NB : 4,48,48,48,48,96,96,144,240
 */
#define ATL_zGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 60) (nb_) = 4; \
   else if ((n_) < 792) (nb_) = 48; \
   else if ((n_) < 1512) (nb_) = 96; \
   else if ((n_) < 1752) (nb_) = 144; \
   else (nb_) = 240; \
}


#endif    /* end ifndef ATL_zGetNB_geqrf */
